ActaParserInternal::Printing Struct Reference

Internal: class used to store the printing preferences in ActaParser. More...

## Public Member Functions

| Printing ()
| constructor
bool | isEmpty () const
| returns true if the header is empty
bool | operator== (Printing const &print) const
| operator==
bool | operator!= (Printing const &print) const
| operator=!

## Public Attributes

MWAWFont | m_font
| the font
int | m_flags [2]
| the flags

## Friends

std::ostream & | operator<< (std::ostream &o, Printing const &print)
| operator<<

## Detailed Description

Internal: class used to store the printing preferences in ActaParser.

## Constructor & Destructor Documentation

## Printing()

ActaParserInternal::Printing::Printing | ( |  | ) |

inline

constructor

Referenced by operator!=(), operator<<, and operator==().

## Member Function Documentation

## isEmpty()

bool ActaParserInternal::Printing::isEmpty | ( |  | ) | const

inline

returns true if the header is empty

## operator!=()

bool ActaParserInternal::Printing::operator!= | ( | Printing const & | print | ) | const

inline

operator=!

## operator==()

bool ActaParserInternal::Printing::operator== | ( | Printing const & | print | ) | const

inline

operator==

Referenced by operator!=().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Printing const & | print )

friend

operator<<

## Member Data Documentation

## m_flags

int ActaParserInternal::Printing::m_flags[2]

the flags

Referenced by isEmpty(), operator<<, operator==(), Printing(), and ActaParser::readHFProperties().

## m_font

MWAWFont ActaParserInternal::Printing::m_font

the font

Referenced by operator==(), Printing(), and ActaParser::readHFProperties().

The documentation for this struct was generated from the following file:

- ActaParser.cxx